Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.depend.constantpool
Class Utf8CPInfo

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
          org.apache.tools.ant.taskdefs.optional.depend.constantpool.Utf8CPInfo

    public class Utf8CPInfo

extends ConstantPoolEntry

A UTF8 Constant Pool Entry.

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
`CONSTANT_CLASS, CONSTANT_DOUBLE, CONSTANT_FIELDREF, CONSTANT_FLOAT, CONSTANT_INTEGER, CONSTANT_INTERFACEMETHODREF, CONSTANT_LONG, CONSTANT_METHODREF, CONSTANT_NAMEANDTYPE, CONSTANT_STRING, CONSTANT_UTF8`

Constructor Summary
`Utf8CPInfo()` Constructor.

Method Summary
`java.lang.String` | `getValue()` Get the string value of the UTF-8 entry
`void` | `read(java.io.DataInputStream cpStream)` read a constant pool entry from a class stream.
`java.lang.String` | `toString()` Print a readable version of the constant pool entry.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
`getNumEntries, getTag, isResolved, readEntry, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Utf8CPInfo

    public Utf8CPInfo()

  Constructor.

Method Detail

### read

    public void read(java.io.DataInputStream cpStream)
              throws java.io.IOException

  read a constant pool entry from a class stream.

  Specified by:
    `read` in class `ConstantPoolEntry`
  Parameters:
    `cpStream` - the DataInputStream which contains the constant pool entry to be read.
  Throws:
    `java.io.IOException` - if there is a problem reading the entry from the stream.

### toString

    public java.lang.String toString()

  Print a readable version of the constant pool entry.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of this constant pool entry.

### getValue

    public java.lang.String getValue()

  Get the string value of the UTF-8 entry

  Returns:
    the UTF-8 value as a Java string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD